dracut/0211-fix_multipath_check_hostonly.patch
Thomas Renninger e0a373b391 Accepting request 359020 from home:favogt:branches:Base:System
Add 0211-fix_multipath_check_hostonly.patch:
  - Fix warning about multipath
Modify 0300-dracut_dont_use_dpkg_defaults_on_SUSE.patch:
  - Don't try to include plymouth if plymouth-dracut pkg. not installed
Add 0210-add_fcoe_uefi_check.patch:
  - Only install fcoe-uefi module if needed (boo#965477)

OBS-URL: https://build.opensuse.org/request/show/359020
OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=252
2016-02-15 15:16:25 +00:00

33 lines
1014 B
Diff

From: Fabian Vogt <fvogt@suse.com>
Subject: Fix warning about multipath if not needed
Although no device uses multipath, the module checks
for presence of the multipath binary first, printing a
warning if not present. This patch fixes the wrong ordering.
---
modules.d/90multipath/module-setup.sh | 5 +++--
1 file changed, 3 insertions(+), 2 deletions(-)
Index: dracut-044/modules.d/90multipath/module-setup.sh
===================================================================
--- dracut-044.orig/modules.d/90multipath/module-setup.sh
+++ dracut-044/modules.d/90multipath/module-setup.sh
@@ -20,13 +20,14 @@ majmin_to_mpath_dev() {
# called by dracut
check() {
local _rootdev
- # if there's no multipath binary, no go.
- require_binaries multipath || return 1
[[ $hostonly ]] || [[ $mount_needs ]] && {
for_each_host_dev_and_slaves is_mpath || return 255
}
+ # if there's no multipath binary, no go.
+ require_binaries multipath || return 1
+
return 0
}